
Redmine - Defect #17808

Internal error when creating projects having a List format custom field

2014-09-06 09:54 - Victor Costache

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.5.2

Description

Here is the relevant section from the log file:

Completed 500 Internal Server Error in 482.5ms

TypeError (can't convert Array into String):

  app/controllers/projects_controller.rb:83:in `create'

Sequence to reproduce:

1. Go to Administration -> Costom fields and create a new custom field in Projects of type (format) List.

2. Go to Projects and create a new project.

3. Clicking on Create raises the above error.

History

#1 - 2014-09-06 23:40 - Jean-Baptiste Barth

- Status changed from New to Needs feedback

- Assignee set to Jean-Baptiste Barth

- Resolution set to Cant reproduce

I cannot reproduce with the steps you describe on Redmine 2.5.2. Maybe there's something else involved?

Can you please see SubmittingBugs and give the requested informations ? Also if you have a more detailed description of what to do to trigger the

error (any option on the custom field except possible values? anything special on the project?)

#2 - 2014-09-07 10:39 - Victor Costache

The bug seems to be caused by one of the plug-ins installed in our Redmine (http://projects.andriylesyuk.com/projects/scm-creator). I am going to

report the bug there since it is related to that plug-in.

So, this issue can be closed. Thanks.

#3 - 2014-09-07 13:05 - Jean-Baptiste Barth

- Status changed from Needs feedback to Closed

Thanks for the feedback :)
